epp_ContactInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.contact.epp_ContactInfoRsp class

### org.openrtk.idl.epprtk.contact

# Class epp_ContactInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.contact.epp_ContactInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the contact info response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPContactInfo and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/contact/epp_ContactInfoRsp.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `EPPContactInfo`, `epp_ContactInfoReq`

  ## Field Summary
  `epp_ContactNameAddress[]` | `m_addresses` The contact names and addresses associated with the contact object.
  `epp_ContactNameAddress` | `m_ascii_address` Deprecated.
  `epp_AuthInfo` | `m_auth_info` The authorization information associated with the contact object.
  `String` | `m_client_id` The identifier of the sponsoring client.
  `String` | `m_created_by` The identifier of the client that created the contact object.
  `String` | `m_created_date` The creation date of the contact object.
  `String` | `m_email` The contact's e-mail address.
  `epp_ContactPhone` | `m_fax` The contact's fax number.
  `epp_ContactNameAddress` | `m_i15d_address` Deprecated.
  `String` | `m_id` The identifier for the contact object in the registry.
  `String` | `m_roid` The repository object identifier associated with the domain object.
  `epp_Response` | `m_rsp` The common and generic response element.
  `epp_ContactStatus[]` | `m_status` The array of status associated with the contact object.
  `String` | `m_transfer_date` The most recent transfer date of the contact object.
  `String` | `m_updated_by` The identifier of the client that last updated the contact object.
  `String` | `m_updated_date` The most recent modification date of the contact object.
  `epp_ContactPhone` | `m_voice` The contact's telephone number.

  ## Constructor Summary
  `epp_ContactInfoRsp()` Empty constructor
  `epp_ContactInfoRsp(epp_Response _m_rsp, String _m_id, String _m_roid, epp_ContactNameAddress _m_ascii_address, epp_ContactNameAddress _m_i15d_address, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_ContactStatus[] _m_status, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_transfer_date, epp_AuthInfo _m_auth_info)` Deprecated.
  `epp_ContactInfoRsp(epp_Response _m_rsp, String _m_id, String _m_roid, epp_ContactNameAddress[] _m_addresses, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_ContactStatus[] _m_status, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_transfer_date, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_ContactNameAddress[]` | `getAddresses()` Accessor method for the contact names and addresses associated with the contact object
  `epp_ContactNameAddress` | `getAsciiAddress()` Deprecated.
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information associated with the contact object
  `String` | `getClientId()` Accessor method for the identifier of the sponsoring client
  `String` | `getCreatedBy()` Accessor method for the identifier of the client that created the contact object
  `String` | `getCreatedDate()` Accessor method for the creation date of the contact object
  `String` | `getEmail()` Accessor method for the contact's e-mail address
  `epp_ContactPhone` | `getFax()` Accessor method for the contact's fax number
  `epp_ContactNameAddress` | `getI15dAddress()` Deprecated.
  `String` | `getId()` Accessor method for the identifier for the contact object in the registry
  `String` | `getRoid()` Accessor method for the repository object identifier associated with the domain object
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `epp_ContactStatus[]` | `getStatus()` Accessor method for the array of status associated with the contact object
  `String` | `getTransferDate()` Accessor method for the most recent transfer date of the contact object
  `String` | `getUpdatedBy()` Accessor method for the identifier of the client that last updated the contact object
  `String` | `getUpdatedDate()` Accessor method for the most recent modification date of the contact object
  `epp_ContactPhone` | `getVoice()` Accessor method for the contact's telephone number
  `void` | `setAddresses(epp_ContactNameAddress[] value)` Accessor method for the contact names and addresses associated with the contact object
  `void` | `setAsciiAddress(epp_ContactNameAddress value)` Deprecated.
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information associated with the contact object
  `void` | `setClientId(String value)` Accessor method for the identifier of the sponsoring client
  `void` | `setCreatedBy(String value)` Accessor method for the identifier of the client that created the contact object
  `void` | `setCreatedDate(String value)` Accessor method for the creation date of the contact object
  `void` | `setEmail(String value)` Accessor method for the contact's e-mail address
  `void` | `setFax(String value)` Accessor method for the contact's fax number
  `void` | `setFax(epp_ContactPhone value)` Accessor method for the contact's fax number
  `void` | `setI15dAddress(epp_ContactNameAddress value)` Deprecated.
  `void` | `setId(String value)` Accessor method for the identifier for the contact object in the registry
  `void` | `setRoid(String value)` Accessor method for the repository object identifier associated with the domain object
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `void` | `setStatus(epp_ContactStatus[] value)` Accessor method for the array of status associated with the contact object
  `void` | `setTransferDate(String value)` Accessor method for the most recent transfer date of the contact object
  `void` | `setUpdatedBy(String value)` Accessor method for the identifier of the client that last updated the contact object
  `void` | `setUpdatedDate(String value)` Accessor method for the most recent modification date of the contact object
  `void` | `setVoice(epp_ContactPhone value)` Accessor method for contact's telephone number
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_addresses

    public epp_ContactNameAddress[] m_addresses

> The contact names and addresses associated with the contact object. EPP permits up to two addresses to be specified. The first is always internationalized and represented in a subset of UTF-8 limited to 7-bit US-ASCII. The optional second address may be represented in unrestricted UTF-8.
> See Also:
>   `setAddresses(epp_ContactNameAddress[])`, `getAddresses()`

### m_ascii_address

    public epp_ContactNameAddress m_ascii_address

> Deprecated.

> The contact name and address associated with the contact object. Content of this element must be represented in a subset of UTF-8.
> See Also:
>   `setAddresses(epp_ContactNameAddress[])`, `getAddresses()`

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information associated with the contact object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_client_id

    public String m_client_id

> The identifier of the sponsoring client.
> See Also:
>   `setClientId(String)`, `getClientId()`

### m_created_by

    public String m_created_by

> The identifier of the client that created the contact object.
> See Also:
>   `setCreatedBy(String)`, `getCreatedBy()`

### m_created_date

    public String m_created_date

> The creation date of the contact object.
> See Also:
>   `setCreatedDate(String)`, `getCreatedDate()`

### m_email

    public String m_email

> The contact's e-mail address.
> See Also:
>   `setEmail(String)`, `getEmail()`

### m_fax

    public epp_ContactPhone m_fax

> The contact's fax number.
> See Also:
>   `setFax(epp_ContactPhone)`, `getFax()`

### m_i15d_address

    public epp_ContactNameAddress m_i15d_address

> Deprecated.

> The contact name and address associated with the contact object. Content of this element may be represented in unrestricted UTF-8.
> See Also:
>   `setAddresses(epp_ContactNameAddress[])`, `getAddresses()`

### m_id

    public String m_id

> The identifier for the contact object in the registry.
> See Also:
>   `setId(String)`, `getId()`

### m_roid

    public String m_roid

> The repository object identifier associated with the domain object.
> See Also:
>   `setRoid(String)`, `getRoid()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

### m_status

    public epp_ContactStatus[] m_status

> The array of status associated with the contact object.
> See Also:
>   `setStatus(epp_ContactStatus[])`, `getStatus()`

### m_transfer_date

    public String m_transfer_date

> The most recent transfer date of the contact object.
> See Also:
>   `setTransferDate(String)`, `getTransferDate()`

### m_updated_by

    public String m_updated_by

> The identifier of the client that last updated the contact object.
> See Also:
>   `setUpdatedBy(String)`, `getUpdatedBy()`

### m_updated_date

    public String m_updated_date

> The most recent modification date of the contact object.
> See Also:
>   `setUpdatedDate(String)`, `getUpdatedDate()`

### m_voice

    public epp_ContactPhone m_voice

> The contact's telephone number.
> See Also:
>   `setVoice(epp_ContactPhone)`, `getVoice()`

## Constructor Details

### epp_ContactInfoRsp

    public epp_ContactInfoRsp()

> Empty constructor

### epp_ContactInfoRsp

    public epp_ContactInfoRsp(epp_Response _m_rsp,
                              String _m_id,
                              String _m_roid,
                              epp_ContactNameAddress _m_ascii_address,
                              epp_ContactNameAddress _m_i15d_address,
                              epp_ContactPhone _m_voice,
                              epp_ContactPhone _m_fax,
                              String _m_email,
                              epp_ContactStatus[] _m_status,
                              String _m_client_id,
                              String _m_created_by,
                              String _m_created_date,
                              String _m_updated_by,
                              String _m_updated_date,
                              String _m_transfer_date,
                              epp_AuthInfo _m_auth_info)

> Deprecated.

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_id` - The identifier for the contact object in the registry
>   `_m_roid` - The repository object identifier associated with the domain object
>   `_m_ascii_address` - The ascii contact name and address associated with the contact object
>   `_m_i15d_address` - The i15d contact name and address associated with the contact object
>   `_m_voice` - The contact's telephone number
>   `_m_fax` - The contact's fax number
>   `_m_email` - The contact's e-mail address
>   `_m_status` - The array of status associated with the contact object
>   `_m_client_id` - The identifier of the sponsoring client
>   `_m_created_by` - The identifier of the client that created the contact object
>   `_m_created_date` - The creation date of the contact object
>   `_m_updated_by` - The identifier of the client that last updated the contact object
>   `_m_updated_date` - The most recent modification date of the contact object
>   `_m_transfer_date` - The most recent transfer date of the contact object
>   `_m_auth_info` - The authorization information associated with the contact object

### epp_ContactInfoRsp

    public epp_ContactInfoRsp(epp_Response _m_rsp,
                              String _m_id,
                              String _m_roid,
                              epp_ContactNameAddress[] _m_addresses,
                              epp_ContactPhone _m_voice,
                              epp_ContactPhone _m_fax,
                              String _m_email,
                              epp_ContactStatus[] _m_status,
                              String _m_client_id,
                              String _m_created_by,
                              String _m_created_date,
                              String _m_updated_by,
                              String _m_updated_date,
                              String _m_transfer_date,
                              epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_id` - The identifier for the contact object in the registry
>   `_m_roid` - The repository object identifier associated with the domain object
>   `_m_addresses` - The contact names and addresses associated with the contact object
>   `_m_voice` - The contact's telephone number
>   `_m_fax` - The contact's fax number
>   `_m_email` - The contact's e-mail address
>   `_m_status` - The array of status associated with the contact object
>   `_m_client_id` - The identifier of the sponsoring client
>   `_m_created_by` - The identifier of the client that created the contact object
>   `_m_created_date` - The creation date of the contact object
>   `_m_updated_by` - The identifier of the client that last updated the contact object
>   `_m_updated_date` - The most recent modification date of the contact object
>   `_m_transfer_date` - The most recent transfer date of the contact object
>   `_m_auth_info` - The authorization information associated with the contact object

## Method Details

### getAddresses

    public epp_ContactNameAddress[] getAddresses()

> Accessor method for the contact names and addresses associated with the contact object
> Returns:
>   The contact names and addresses
> See Also:
>   `m_addresses`

### getAsciiAddress

    public epp_ContactNameAddress getAsciiAddress()

> Deprecated.

> Accessor method for the ascii contact name and address associated with the contact object
> Returns:
>   The contact ascii name and address
> See Also:
>   `m_ascii_address`

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information associated with the contact object
> Returns:
>   The contact auth info
> See Also:
>   `m_auth_info`

### getClientId

    public String getClientId()

> Accessor method for the identifier of the sponsoring client
> Returns:
>   The identifier of the sponsoring client
> See Also:
>   `m_client_id`

### getCreatedBy

    public String getCreatedBy()

> Accessor method for the identifier of the client that created the contact object
> Returns:
>   The identifier of the client that created the contact object
> See Also:
>   `m_created_by`

### getCreatedDate

    public String getCreatedDate()

> Accessor method for the creation date of the contact object
> Returns:
>   The creation date of the contact
> See Also:
>   `m_created_date`

### getEmail

    public String getEmail()

> Accessor method for the contact's e-mail address
> Returns:
>   The contact's e-mail address
> See Also:
>   `m_email`

### getFax

    public epp_ContactPhone getFax()

> Accessor method for the contact's fax number
> Returns:
>   The contact's fax number
> See Also:
>   `m_fax`

### getI15dAddress

    public epp_ContactNameAddress getI15dAddress()

> Deprecated.

> Accessor method for the i15d contact name and address associated with the contact object
> Returns:
>   The contact i15d name and address
> See Also:
>   `m_i15d_address`

### getId

    public String getId()

> Accessor method for the identifier for the contact object in the registry
> Returns:
>   The contact id
> See Also:
>   `m_id`

### getRoid

    public String getRoid()

> Accessor method for the repository object identifier associated with the domain object
> Returns:
>   The contact roid
> See Also:
>   `m_roid`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### getStatus

    public epp_ContactStatus[] getStatus()

> Accessor method for the array of status associated with the contact object
> Returns:
>   The array of contact status
> See Also:
>   `m_status`

### getTransferDate

    public String getTransferDate()

> Accessor method for the most recent transfer date of the contact object
> Returns:
>   The most recent transfer date
> See Also:
>   `m_transfer_date`

### getUpdatedBy

    public String getUpdatedBy()

> Accessor method for the identifier of the client that last updated the contact object
> Returns:
>   The identifier of the client that last updated the contact object
> See Also:
>   `m_updated_by`

### getUpdatedDate

    public String getUpdatedDate()

> Accessor method for the most recent modification date of the contact object
> Returns:
>   The most recent modification date
> See Also:
>   `m_updated_date`

### getVoice

    public epp_ContactPhone getVoice()

> Accessor method for the contact's telephone number
> Returns:
>   The contact's telephone number
> See Also:
>   `m_voice`

### setAddresses

    public void setAddresses(epp_ContactNameAddress[] value)

> Accessor method for the contact names and addresses associated with the contact object
> Parameters:
>   `value` - The contact names and addresses
> See Also:
>   `m_addresses`

### setAsciiAddress

    public void setAsciiAddress(epp_ContactNameAddress value)

> Deprecated.

> Accessor method for the ascii contact name and address associated with the contact object
> Parameters:
>   `value` - The contact ascii name and address
> See Also:
>   `m_ascii_address`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information associated with the contact object
> Parameters:
>   `value` - The contact auth info
> See Also:
>   `m_auth_info`

### setClientId

    public void setClientId(String value)

> Accessor method for the identifier of the sponsoring client
> Parameters:
>   `value` - The identifier of the sponsoring client
> See Also:
>   `m_client_id`

### setCreatedBy

    public void setCreatedBy(String value)

> Accessor method for the identifier of the client that created the contact object
> Parameters:
>   `value` - The identifier of the client that created the contact object
> See Also:
>   `m_created_by`

### setCreatedDate

    public void setCreatedDate(String value)

> Accessor method for the creation date of the contact object
> Parameters:
>   `value` - The creation date of the contact
> See Also:
>   `m_created_date`

### setEmail

    public void setEmail(String value)

> Accessor method for the contact's e-mail address
> Parameters:
>   `value` - The contact's e-mail address
> See Also:
>   `m_email`

### setFax

    public void setFax(String value)

> Accessor method for the contact's fax number
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setFax

    public void setFax(epp_ContactPhone value)

> Accessor method for the contact's fax number
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setI15dAddress

    public void setI15dAddress(epp_ContactNameAddress value)

> Deprecated.

> Accessor method for the i15d contact name and address associated with the contact object
> Parameters:
>   `value` - The contact i15d name and address
> See Also:
>   `m_i15d_address`

### setId

    public void setId(String value)

> Accessor method for the identifier for the contact object in the registry
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_id`

### setRoid

    public void setRoid(String value)

> Accessor method for the repository object identifier associated with the domain object
> Parameters:
>   `value` - The contact roid
> See Also:
>   `m_roid`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### setStatus

    public void setStatus(epp_ContactStatus[] value)

> Accessor method for the array of status associated with the contact object
> Parameters:
>   `value` - The array of contact status
> See Also:
>   `m_status`

### setTransferDate

    public void setTransferDate(String value)

> Accessor method for the most recent transfer date of the contact object
> Parameters:
>   `value` - The most recent transfer date
> See Also:
>   `m_transfer_date`

### setUpdatedBy

    public void setUpdatedBy(String value)

> Accessor method for the identifier of the client that last updated the contact object
> Parameters:
>   `value` - The identifier of the client that last updated the contact object
> See Also:
>   `m_updated_by`

### setUpdatedDate

    public void setUpdatedDate(String value)

> Accessor method for the most recent modification date of the contact object
> Parameters:
>   `value` - The most recent modification date
> See Also:
>   `m_updated_date`

### setVoice

    public void setVoice(epp_ContactPhone value)

> Accessor method for contact's telephone number
> Parameters:
>   `value` - The contact's telephone number
> See Also:
>   `m_voice`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS